Package com.sap.ai.sdk.orchestration.model

# Class EmbeddingsModelParams

java.lang.Object
com.sap.ai.sdk.orchestration.model.EmbeddingsModelParams

public class EmbeddingsModelParams extends Object
Additional parameters for generating input's embeddings. Default values are used for mandatory parameters.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EmbeddingsModelParams()`
  Default constructor for EmbeddingsModelParams.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EmbeddingsModelParams`
  `create()`
  Create a new `EmbeddingsModelParams` instance.
  `EmbeddingsModelParams`
  `dimensions(Integer dimensions)`
  Set the dimensions of this `EmbeddingsModelParams` instance and return the same instance.
  `EmbeddingsModelParams`
  `encodingFormat(EmbeddingsModelParamsEncodingFormat encodingFormat)`
  Set the encodingFormat of this `EmbeddingsModelParams` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `EmbeddingsModelParams`.
  `Integer`
  `getDimensions()`
  The number of dimensions the resulting output embeddings should have.
  `EmbeddingsModelParamsEncodingFormat`
  `getEncodingFormat()`
  Get encodingFormat
  `int`
  `hashCode()`
  `Boolean`
  `isNormalize()`
  Get normalize
  `EmbeddingsModelParams`
  `normalize(Boolean normalize)`
  Set the normalize of this `EmbeddingsModelParams` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `EmbeddingsModelParams` instance.
  `void`
  `setDimensions(Integer dimensions)`
  Set the dimensions of this `EmbeddingsModelParams` instance.
  `void`
  `setEncodingFormat(EmbeddingsModelParamsEncodingFormat encodingFormat)`
  Set the encodingFormat of this `EmbeddingsModelParams` instance.
  `void`
  `setNormalize(Boolean normalize)`
  Set the normalize of this `EmbeddingsModelParams` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `EmbeddingsModelParams` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EmbeddingsModelParams

    protected EmbeddingsModelParams()
    Default constructor for EmbeddingsModelParams.

- ## Method Details

  - ### dimensions

    @Nonnull public EmbeddingsModelParams dimensions(@Nullable Integer dimensions)
    Set the dimensions of this `EmbeddingsModelParams` instance and return the same instance.
    Parameters:
      `dimensions` - The number of dimensions the resulting output embeddings should have.
    Returns:
      The same instance of this `EmbeddingsModelParams` class

  - ### getDimensions

    @Nonnull public Integer getDimensions()
    The number of dimensions the resulting output embeddings should have.
    Returns:
      dimensions The dimensions of this `EmbeddingsModelParams` instance.

  - ### setDimensions

    public void setDimensions(@Nullable Integer dimensions)
    Set the dimensions of this `EmbeddingsModelParams` instance.
    Parameters:
      `dimensions` - The number of dimensions the resulting output embeddings should have.

  - ### encodingFormat

    @Nonnull public EmbeddingsModelParams encodingFormat(@Nullable EmbeddingsModelParamsEncodingFormat encodingFormat)
    Set the encodingFormat of this `EmbeddingsModelParams` instance and return the same instance.
    Parameters:
      `encodingFormat` - The encodingFormat of this `EmbeddingsModelParams`
    Returns:
      The same instance of this `EmbeddingsModelParams` class

  - ### getEncodingFormat

    @Nonnull public EmbeddingsModelParamsEncodingFormat getEncodingFormat()
    Get encodingFormat
    Returns:
      encodingFormat The encodingFormat of this `EmbeddingsModelParams` instance.

  - ### setEncodingFormat

    public void setEncodingFormat(@Nullable EmbeddingsModelParamsEncodingFormat encodingFormat)
    Set the encodingFormat of this `EmbeddingsModelParams` instance.
    Parameters:
      `encodingFormat` - The encodingFormat of this `EmbeddingsModelParams`

  - ### normalize

    @Nonnull public EmbeddingsModelParams normalize(@Nullable Boolean normalize)
    Set the normalize of this `EmbeddingsModelParams` instance and return the same instance.
    Parameters:
      `normalize` - The normalize of this `EmbeddingsModelParams`
    Returns:
      The same instance of this `EmbeddingsModelParams` class

  - ### isNormalize

    @Nonnull public Boolean isNormalize()
    Get normalize
    Returns:
      normalize The normalize of this `EmbeddingsModelParams` instance.

  - ### setNormalize

    public void setNormalize(@Nullable Boolean normalize)
    Set the normalize of this `EmbeddingsModelParams` instance.
    Parameters:
      `normalize` - The normalize of this `EmbeddingsModelParams`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `EmbeddingsModelParams`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `EmbeddingsModelParams` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `EmbeddingsModelParams` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `EmbeddingsModelParams` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static EmbeddingsModelParams create()
    Create a new `EmbeddingsModelParams` instance. No arguments are required.